Contenu | Rechercher | Menus

Annonce

Ubuntu-fr vend de superbes t-shirts et de belles clés USB 32Go
Rendez-vous sur la boutique En Vente Libre

Si vous avez des soucis pour rester connecté, déconnectez-vous puis reconnectez-vous depuis ce lien en cochant la case
Me connecter automatiquement lors de mes prochaines visites.

À propos de l'équipe du forum.

#101 Le 02/02/2009, à 02:18

obiwankennedy

Re : Programmeurs, on a besoin de vous.

Put*** tu as pas de chance....
Je pense que ça veut dire que ta version de Qt4 est trop vieille, il n'y a pas les icônes classiques de lecture que propose Qt4.4 donc il va falloir utiliser l'icones de la version windows. donc
à la ligne 162 de src/LecteurAudiounix.cpp tu as un petit paragraphe.

 actionLecture = new QAction(style()->standardIcon(QStyle::SP_MediaPlay), tr("Lecture"), this);
        actionLecture->setShortcut(Qt::Key_Space);
        actionLecture->setDisabled(true);
        actionPause = new QAction(style()->standardIcon(QStyle::SP_MediaPause), tr("Pause"), this);
        actionPause->setDisabled(true);
        actionStop = new QAction(style()->standardIcon(QStyle::SP_MediaStop), tr("Stop"), this);
        actionStop->setDisabled(true);

remplace le par

 actionLecture = new QAction(QIcon(":/resources/icones/lecture.png"), tr("Lecture"), this);
        actionLecture->setShortcut(Qt::Key_Space);
        actionLecture->setDisabled(true);
        actionPause = new QAction(QIcon(":/resources/icones/pause.png"), tr("Pause"), this);
        actionPause->setDisabled(true);
        actionStop = new QAction(QIcon(":/resources/icones/stop.png"), tr("Stop"), this);
        actionStop->setDisabled(true);

le problème c'est que  Ubuntu 8.04 est sortie juste après phonon et que du coup ils l'ont ajouté d'une façon vraiment sale. Dans la version 8.10 c'est quand même bcp plus propre. L'emmerdant c'est que si je modifie mon code et que tu re-récupères depuis le SVN, tu perdras tes modifs et donc tu devras tout refaire à la main. Donc si ça te soule trop, on peut essaie de s'organiser pour que je t'aide à installer Qt4 depuis le binaire de Qt software comme ça tu auras une installation propre et récente (enfin tu trouveras surement des tutos sur le net).


Dans mes logiciels, j'écris ton nom.
SGNGD: SvgGd is Not GD
Rolisteam

Hors ligne

#102 Le 02/02/2009, à 22:30

rico the hobbit

Re : Programmeurs, on a besoin de vous.

Un moment donné, j'y ai cru mais non, ça ne marche toujours pas...

rico@bureau:~/Rolistik/rolisteam-read-only$ qmake
rico@bureau:~/Rolistik/rolisteam-read-only$ make
Makefile:365: attention : écrasement des commandes pour la cible « qrc_Rolisteam.cpp »
Makefile:345: attention : anciennes commandes ignorées pour la cible « qrc_Rolisteam.cpp »
g++ -c -fstack-protector -W -Wall -Wextra -pedantic -Wstack-protector -Wno-long-long -Wno-overlength-strings -g -Wall -W -D_REENTRANT -DQT_SHARED -DQT_XML_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtXml -I/usr/include/qt4/QtXml -I/usr/include/qt4 -I. -Isrc -I/usr/lib/kde4/include/phonon -I/usr/lib/kde4/include -Isrc -Isrc -o bin/LecteurAudiounix.o src/LecteurAudiounix.cpp
src/LecteurAudiounix.cpp:668: attention : unused parameter «tag»
src/LecteurAudiounix.cpp: In member function «int LecteurAudio::volume()»:
src/LecteurAudiounix.cpp:809: attention : control reaches end of non-void function
/usr/bin/moc-qt4 -DQT_SHARED -DQT_XML_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtXml -I/usr/include/qt4/QtXml -I/usr/include/qt4 -I. -Isrc -I/usr/lib/kde4/include/phonon -I/usr/lib/kde4/include -Isrc -Isrc src/AfficheurDisque.h -o src/moc_AfficheurDisque.cpp
g++ -c -fstack-protector -W -Wall -Wextra -pedantic -Wstack-protector -Wno-long-long -Wno-overlength-strings -g -Wall -W -D_REENTRANT -DQT_SHARED -DQT_XML_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtXml -I/usr/include/qt4/QtXml -I/usr/include/qt4 -I. -Isrc -I/usr/lib/kde4/include/phonon -I/usr/lib/kde4/include -Isrc -Isrc -o bin/moc_AfficheurDisque.o src/moc_AfficheurDisque.cpp
/usr/bin/moc-qt4 -DQT_SHARED -DQT_XML_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtXml -I/usr/include/qt4/QtXml -I/usr/include/qt4 -I. -Isrc -I/usr/lib/kde4/include/phonon -I/usr/lib/kde4/include -Isrc -Isrc src/BarreOutils.h -o src/moc_BarreOutils.cpp
g++ -c -fstack-protector -W -Wall -Wextra -pedantic -Wstack-protector -Wno-long-long -Wno-overlength-strings -g -Wall -W -D_REENTRANT -DQT_SHARED -DQT_XML_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtXml -I/usr/include/qt4/QtXml -I/usr/include/qt4 -I. -Isrc -I/usr/lib/kde4/include/phonon -I/usr/lib/kde4/include -Isrc -Isrc -o bin/moc_BarreOutils.o src/moc_BarreOutils.cpp
/usr/bin/moc-qt4 -DQT_SHARED -DQT_XML_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtXml -I/usr/include/qt4/QtXml -I/usr/include/qt4 -I. -Isrc -I/usr/lib/kde4/include/phonon -I/usr/lib/kde4/include -Isrc -Isrc src/Carte.h -o src/moc_Carte.cpp
g++ -c -fstack-protector -W -Wall -Wextra -pedantic -Wstack-protector -Wno-long-long -Wno-overlength-strings -g -Wall -W -D_REENTRANT -DQT_SHARED -DQT_XML_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtXml -I/usr/include/qt4/QtXml -I/usr/include/qt4 -I. -Isrc -I/usr/lib/kde4/include/phonon -I/usr/lib/kde4/include -Isrc -Isrc -o bin/moc_Carte.o src/moc_Carte.cpp
/usr/bin/moc-qt4 -DQT_SHARED -DQT_XML_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtXml -I/usr/include/qt4/QtXml -I/usr/include/qt4 -I. -Isrc -I/usr/lib/kde4/include/phonon -I/usr/lib/kde4/include -Isrc -Isrc src/CarteFenetre.h -o src/moc_CarteFenetre.cpp
g++ -c -fstack-protector -W -Wall -Wextra -pedantic -Wstack-protector -Wno-long-long -Wno-overlength-strings -g -Wall -W -D_REENTRANT -DQT_SHARED -DQT_XML_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtXml -I/usr/include/qt4/QtXml -I/usr/include/qt4 -I. -Isrc -I/usr/lib/kde4/include/phonon -I/usr/lib/kde4/include -Isrc -Isrc -o bin/moc_CarteFenetre.o src/moc_CarteFenetre.cpp
/usr/bin/moc-qt4 -DQT_SHARED -DQT_XML_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtXml -I/usr/include/qt4/QtXml -I/usr/include/qt4 -I. -Isrc -I/usr/lib/kde4/include/phonon -I/usr/lib/kde4/include -Isrc -Isrc src/ClientServeur.h -o src/moc_ClientServeur.cpp
g++ -c -fstack-protector -W -Wall -Wextra -pedantic -Wstack-protector -Wno-long-long -Wno-overlength-strings -g -Wall -W -D_REENTRANT -DQT_SHARED -DQT_XML_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtXml -I/usr/include/qt4/QtXml -I/usr/include/qt4 -I. -Isrc -I/usr/lib/kde4/include/phonon -I/usr/lib/kde4/include -Isrc -Isrc -o bin/moc_ClientServeur.o src/moc_ClientServeur.cpp
/usr/bin/moc-qt4 -DQT_SHARED -DQT_XML_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtXml -I/usr/include/qt4/QtXml -I/usr/include/qt4 -I. -Isrc -I/usr/lib/kde4/include/phonon -I/usr/lib/kde4/include -Isrc -Isrc src/DessinPerso.h -o src/moc_DessinPerso.cpp
g++ -c -fstack-protector -W -Wall -Wextra -pedantic -Wstack-protector -Wno-long-long -Wno-overlength-strings -g -Wall -W -D_REENTRANT -DQT_SHARED -DQT_XML_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtXml -I/usr/include/qt4/QtXml -I/usr/include/qt4 -I. -Isrc -I/usr/lib/kde4/include/phonon -I/usr/lib/kde4/include -Isrc -Isrc -o bin/moc_DessinPerso.o src/moc_DessinPerso.cpp
/usr/bin/moc-qt4 -DQT_SHARED -DQT_XML_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtXml -I/usr/include/qt4/QtXml -I/usr/include/qt4 -I. -Isrc -I/usr/lib/kde4/include/phonon -I/usr/lib/kde4/include -Isrc -Isrc src/EditeurNotes.h -o src/moc_EditeurNotes.cpp
g++ -c -fstack-protector -W -Wall -Wextra -pedantic -Wstack-protector -Wno-long-long -Wno-overlength-strings -g -Wall -W -D_REENTRANT -DQT_SHARED -DQT_XML_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtXml -I/usr/include/qt4/QtXml -I/usr/include/qt4 -I. -Isrc -I/usr/lib/kde4/include/phonon -I/usr/lib/kde4/include -Isrc -Isrc -o bin/moc_EditeurNotes.o src/moc_EditeurNotes.cpp
/usr/bin/moc-qt4 -DQT_SHARED -DQT_XML_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtXml -I/usr/include/qt4/QtXml -I/usr/include/qt4 -I. -Isrc -I/usr/lib/kde4/include/phonon -I/usr/lib/kde4/include -Isrc -Isrc src/Image.h -o src/moc_Image.cpp
g++ -c -fstack-protector -W -Wall -Wextra -pedantic -Wstack-protector -Wno-long-long -Wno-overlength-strings -g -Wall -W -D_REENTRANT -DQT_SHARED -DQT_XML_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtXml -I/usr/include/qt4/QtXml -I/usr/include/qt4 -I. -Isrc -I/usr/lib/kde4/include/phonon -I/usr/lib/kde4/include -Isrc -Isrc -o bin/moc_Image.o src/moc_Image.cpp
/usr/bin/moc-qt4 -DQT_SHARED -DQT_XML_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtXml -I/usr/include/qt4/QtXml -I/usr/include/qt4 -I. -Isrc -I/usr/lib/kde4/include/phonon -I/usr/lib/kde4/include -Isrc -Isrc src/LecteurAudio.h -o src/moc_LecteurAudio.cpp
g++ -c -fstack-protector -W -Wall -Wextra -pedantic -Wstack-protector -Wno-long-long -Wno-overlength-strings -g -Wall -W -D_REENTRANT -DQT_SHARED -DQT_XML_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtXml -I/usr/include/qt4/QtXml -I/usr/include/qt4 -I. -Isrc -I/usr/lib/kde4/include/phonon -I/usr/lib/kde4/include -Isrc -Isrc -o bin/moc_LecteurAudio.o src/moc_LecteurAudio.cpp
/usr/bin/moc-qt4 -DQT_SHARED -DQT_XML_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtXml -I/usr/include/qt4/QtXml -I/usr/include/qt4 -I. -Isrc -I/usr/lib/kde4/include/phonon -I/usr/lib/kde4/include -Isrc -Isrc src/Liaison.h -o src/moc_Liaison.cpp
g++ -c -fstack-protector -W -Wall -Wextra -pedantic -Wstack-protector -Wno-long-long -Wno-overlength-strings -g -Wall -W -D_REENTRANT -DQT_SHARED -DQT_XML_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtXml -I/usr/include/qt4/QtXml -I/usr/include/qt4 -I. -Isrc -I/usr/lib/kde4/include/phonon -I/usr/lib/kde4/include -Isrc -Isrc -o bin/moc_Liaison.o src/moc_Liaison.cpp
/usr/bin/moc-qt4 -DQT_SHARED -DQT_XML_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtXml -I/usr/include/qt4/QtXml -I/usr/include/qt4 -I. -Isrc -I/usr/lib/kde4/include/phonon -I/usr/lib/kde4/include -Isrc -Isrc src/ListeUtilisateurs.h -o src/moc_ListeUtilisateurs.cpp
g++ -c -fstack-protector -W -Wall -Wextra -pedantic -Wstack-protector -Wno-long-long -Wno-overlength-strings -g -Wall -W -D_REENTRANT -DQT_SHARED -DQT_XML_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtXml -I/usr/include/qt4/QtXml -I/usr/include/qt4 -I. -Isrc -I/usr/lib/kde4/include/phonon -I/usr/lib/kde4/include -Isrc -Isrc -o bin/moc_ListeUtilisateurs.o src/moc_ListeUtilisateurs.cpp
/usr/bin/moc-qt4 -DQT_SHARED -DQT_XML_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtXml -I/usr/include/qt4/QtXml -I/usr/include/qt4 -I. -Isrc -I/usr/lib/kde4/include/phonon -I/usr/lib/kde4/include -Isrc -Isrc src/MainWindow.h -o src/moc_MainWindow.cpp
g++ -c -fstack-protector -W -Wall -Wextra -pedantic -Wstack-protector -Wno-long-long -Wno-overlength-strings -g -Wall -W -D_REENTRANT -DQT_SHARED -DQT_XML_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtXml -I/usr/include/qt4/QtXml -I/usr/include/qt4 -I. -Isrc -I/usr/lib/kde4/include/phonon -I/usr/lib/kde4/include -Isrc -Isrc -o bin/moc_MainWindow.o src/moc_MainWindow.cpp
/usr/bin/moc-qt4 -DQT_SHARED -DQT_XML_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtXml -I/usr/include/qt4/QtXml -I/usr/include/qt4 -I. -Isrc -I/usr/lib/kde4/include/phonon -I/usr/lib/kde4/include -Isrc -Isrc src/NouveauPlanVide.h -o src/moc_NouveauPlanVide.cpp
g++ -c -fstack-protector -W -Wall -Wextra -pedantic -Wstack-protector -Wno-long-long -Wno-overlength-strings -g -Wall -W -D_REENTRANT -DQT_SHARED -DQT_XML_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtXml -I/usr/include/qt4/QtXml -I/usr/include/qt4 -I. -Isrc -I/usr/lib/kde4/include/phonon -I/usr/lib/kde4/include -Isrc -Isrc -o bin/moc_NouveauPlanVide.o src/moc_NouveauPlanVide.cpp
/usr/bin/moc-qt4 -DQT_SHARED -DQT_XML_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtXml -I/usr/include/qt4/QtXml -I/usr/include/qt4 -I. -Isrc -I/usr/lib/kde4/include/phonon -I/usr/lib/kde4/include -Isrc -Isrc src/Tchat.h -o src/moc_Tchat.cpp
g++ -c -fstack-protector -W -Wall -Wextra -pedantic -Wstack-protector -Wno-long-long -Wno-overlength-strings -g -Wall -W -D_REENTRANT -DQT_SHARED -DQT_XML_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtXml -I/usr/include/qt4/QtXml -I/usr/include/qt4 -I. -Isrc -I/usr/lib/kde4/include/phonon -I/usr/lib/kde4/include -Isrc -Isrc -o bin/moc_Tchat.o src/moc_Tchat.cpp
/usr/bin/moc-qt4 -DQT_SHARED -DQT_XML_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtXml -I/usr/include/qt4/QtXml -I/usr/include/qt4 -I. -Isrc -I/usr/lib/kde4/include/phonon -I/usr/lib/kde4/include -Isrc -Isrc src/TextEditAmeliore.h -o src/moc_TextEditAmeliore.cpp
g++ -c -fstack-protector -W -Wall -Wextra -pedantic -Wstack-protector -Wno-long-long -Wno-overlength-strings -g -Wall -W -D_REENTRANT -DQT_SHARED -DQT_XML_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtXml -I/usr/include/qt4/QtXml -I/usr/include/qt4 -I. -Isrc -I/usr/lib/kde4/include/phonon -I/usr/lib/kde4/include -Isrc -Isrc -o bin/moc_TextEditAmeliore.o src/moc_TextEditAmeliore.cpp
g++ -c -fstack-protector -W -Wall -Wextra -pedantic -Wstack-protector -Wno-long-long -Wno-overlength-strings -g -Wall -W -D_REENTRANT -DQT_SHARED -DQT_XML_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtXml -I/usr/include/qt4/QtXml -I/usr/include/qt4 -I. -Isrc -I/usr/lib/kde4/include/phonon -I/usr/lib/kde4/include -Isrc -Isrc -o bin/qrc_Rolisteam.o qrc_Rolisteam.cpp
qrc_Rolisteam.cpp:147912:1: erreur: le collage de « ) » et de « __init_variable__ » ne donne pas d'élément lexical de pré-traitement valide
qrc_Rolisteam.cpp:147921:1: erreur: le collage de « ) » et de « __dest_class__ » ne donne pas d'élément lexical de pré-traitement valide
qrc_Rolisteam.cpp:147921:1: erreur: le collage de « ) » et de « __dest_class__ » ne donne pas d'élément lexical de pré-traitement valide
qrc_Rolisteam.cpp:147921:1: erreur: le collage de « ) » et de « __dest_class__ » ne donne pas d'élément lexical de pré-traitement valide
qrc_Rolisteam.cpp:147921:1: erreur: le collage de « ) » et de « __dest_instance__ » ne donne pas d'élément lexical de pré-traitement valide
qrc_Rolisteam.cpp:147896: erreur: expected constructor, destructor, or type conversion before «extern»
qrc_Rolisteam.cpp:147905: erreur: expected constructor, destructor, or type conversion before «int»
qrc_Rolisteam.cpp:147912: erreur: «qInitResources_Rolistik» was not declared in this scope
qrc_Rolisteam.cpp:147912: erreur: expected «,» or «;» before «__init_variable__»
qrc_Rolisteam.cpp:147914: erreur: conflicting declaration «int QT_MANGLE_NAMESPACE»
qrc_Rolisteam.cpp:147912: erreur: «QT_MANGLE_NAMESPACE» has a previous declaration as «const int QT_MANGLE_NAMESPACE»
qrc_Rolisteam.cpp:147914: erreur: «qCleanupResources_Rolistik» was not declared in this scope
qrc_Rolisteam.cpp:147921: erreur: expected initializer before «__dest_class__»
make: *** [bin/qrc_Rolisteam.o] Erreur 1

Une question me traverse l'esprit, faudra-t-il faire cette manip pour chaque personne souhaitant installer Rolistik par la suite ? wink
ça risque d'en décourager plus d'un tongue

Hors ligne

#103 Le 03/02/2009, à 00:17

jo-leptipois

Re : Programmeurs, on a besoin de vous.

Bonjour,
Je vois que tu as mis en place quelque chose sur google code. Je connais pas trop son fonctionnement. Comment on fait pour contribuer?
Pour l'instant je suis sans Ubuntu (un formatage complet de mon pc) donc je risque de rester sur windows pour la semaine/mois.
Je récupère les sources, je recompile et j'en reparle.

#104 Le 03/02/2009, à 06:13

obiwankennedy

Re : Programmeurs, on a besoin de vous.

Pour rico, Alors là, j'ai vraiment aucune idée du problème.

Tu ne veux pas passer à ubuntu 8.10 ? je plaisante mais franchement j'ai jamais vu ça.
je vais inspecter.



Pour jo-leptipois, j'ai reçu ton courriel. Je vais y répondre.

Dernière modification par obiwankennedy (Le 03/02/2009, à 06:14)


Dans mes logiciels, j'écris ton nom.
SGNGD: SvgGd is Not GD
Rolisteam

Hors ligne

#105 Le 05/02/2009, à 19:34

rico the hobbit

Re : Programmeurs, on a besoin de vous.

obiwankennedy a écrit :

Pour rico, Alors là, j'ai vraiment aucune idée du problème.

Tu ne veux pas passer à ubuntu 8.10 ? je plaisante mais franchement j'ai jamais vu ça.
je vais inspecter.

Non, non, elle est bonne ton idée. Je suis passé à Ubuntu 8.10 et maintenant, ça marche !!!

Hors ligne

#106 Le 06/02/2009, à 01:59

obiwankennedy

Re : Programmeurs, on a besoin de vous.

C'est super maintenant tu peux le tester (bon c'est pas une version stable)
donc tous les bugs que tu trouves tu peux les signaler ici


Dans mes logiciels, j'écris ton nom.
SGNGD: SvgGd is Not GD
Rolisteam

Hors ligne

#107 Le 11/03/2009, à 17:48

Crao

Re : Programmeurs, on a besoin de vous.

Bonjour à tous, je vois qu'il y a eu de l'activité ces derniers temps smile

Je viens de récupérer les sources. Il y a un léger soucis au niveau de qmake :

$ qmake
Project MESSAGE: Warning: unknown QT: debug
WARNING: Failure to find: src/Rolistem_private.h
$

Je suis obligé de faire un "cp Rolistik_private.h Rolistem_private.h" pour qu'il trouve le fichier.

Après compilation j'ai fait un test rapide, et ça m'a l'air de fonctionner.

Dernière modification par Crao (Le 11/03/2009, à 17:54)

Hors ligne

#108 Le 11/03/2009, à 19:13

obiwankennedy

Re : Programmeurs, on a besoin de vous.

oui oui je connais ce probleme j'ai modifie le fichier pro trop vite et j ai oublie un a c'est src/Rolisteam_private.h dans le pro. Je reglerai vite fait ca ce soir (je suis aux USA donc dans la nuit pour toi certainement) ma version est a jour sur mon pc mais je ne l'ai pas commit desole.

J'ai créé un paquet pour ubuntu ibex 32bit, j'ai pas encore pu le tester (faut que je recup un live cd de ubuntu) mais avant de le rendre public on va bien le tester pour verifier qu'il y a pas eu de degradation et en meme temps on travaille sur la version windows pour pas creer un fossé. Ils nous reste assez peu de dev a faire mais beaucoup de test. En suite, viendra une étape d'analyse et de conception pour savoir les nouvelles fonctionnalités a apporter. 

Et SVP poster les bug sur google code. Ca montre que le projet est vivant.

Dernière modification par obiwankennedy (Le 11/03/2009, à 19:14)


Dans mes logiciels, j'écris ton nom.
SGNGD: SvgGd is Not GD
Rolisteam

Hors ligne

#109 Le 11/03/2009, à 20:31

Crao

Re : Programmeurs, on a besoin de vous.

En fait ces deux messages n'empêchent pas du tout de compiler et d'utiliser Rolisteam, donc j'hésite à rentrer un bug là dessus.

Par contre j'ai un truc qui m'embête, mais je ne sais pas si j'ai un bug :
quand le maître crée un plan, il est normalement possible d'y intégrer son joueur en cliquant sur la cas à cocher correspondante. Seulement ça ne fonctionne que si je lance le serveur. Si je suis client, le fait de cliquer sur la case ouvre la fenêtre "Select color", la case se coche mais le personnage n'apparaît pas sur la carte.

Hors ligne

#110 Le 12/03/2009, à 00:51

obiwankennedy

Re : Programmeurs, on a besoin de vous.

Oui oui tu peux l'enregistrer.
On fera des tests pour voir si ça vient de la version linux ou si c'est d'origine. On réparera en conséquence donc.


Dans mes logiciels, j'écris ton nom.
SGNGD: SvgGd is Not GD
Rolisteam

Hors ligne

#111 Le 12/03/2009, à 10:17

ovni

Re : Programmeurs, on a besoin de vous.

Salut,
J'ai vu que certains d'entre vous avez réussis à compiler Rollistick sous Kubuntu,
Y a t'il eu des essais sous d'autre distribution ? ( Mandriva ? J'avoue que je n'ai jamamis été convaincus par ubuntu)
Sinon y a t'il un cvs/svn ou récuperer les sources Linux-Ready où seulement le tarball que j'ai apperçu quelque part sur le forum.

Dernière question, au vu des dépendances ( et vu qu'un nouveau PC arrive aujourd'hui : Mandriva 2009.1 R.C. ou ça peut marcher sur la 2009 standard (qui date de septembre ? )

Amitiés Ludique et libriste


P.S. vous pouvez me contacter sur cette boite ( valable une semaine) et qui de toute façon vous redirige vers ma boite spamcatch tongue

rxjpv7hh4i90sz9@jetable.org

#112 Le 12/03/2009, à 11:03

Crao

Re : Programmeurs, on a besoin de vous.

Salut ovni,

Pour le code source, c'est indiqué sur la page du projet : http://code.google.com/p/rolisteam/source/checkout

Ensuite tu tapes :

$ qmake
$ make

Et si tout se passe bien, le binaire est dans le répertoire bin.

Hors ligne

#113 Le 14/03/2009, à 21:03

Crao

Re : Programmeurs, on a besoin de vous.

Salut à tous,

Je viens de réinstaller mon système en 64 bits, donc j'en ai profité pour retester rapidement, et tout a l'air OK big_smile

Hors ligne

#114 Le 15/03/2009, à 00:26

obiwankennedy

Re : Programmeurs, on a besoin de vous.

pour ton bug je n'arrive pas a jouter le joueur du Mj sur la carte que je sois serveur ou client ... Donc j'ai un peu du mal.


Dans mes logiciels, j'écris ton nom.
SGNGD: SvgGd is Not GD
Rolisteam

Hors ligne

#115 Le 15/03/2009, à 11:13

Crao

Re : Programmeurs, on a besoin de vous.

Salut,

Je crois que je me suis mal exprimé pour le bug. Voici les étapes pour reproduire à coup sûr :

Créer un serveur avec les paramètres suivants :
- Nom : MJ
- Vous êtes : MJ
- Votre ordinateur est : serveur
- Port : 6660

Créer un client :
- Nom : Joueur
- Vous êtes : Joueur
- Votre ordinateur est : client
- IP : 127.0.0.1
- Port 6660

Le MJ crée un nouveau plan.

Le joueur crée un nouveau PJ nommé "PJ1", puis appuie sur la case à cocher pour l'ajouter au plan. Au lieu d'ajouter le PJ au plan, la fenêtre "Select color" apparaît.

Si le MJ appuie sur la case à cocher de "PJ1", celui-ci est bien ajouté au plan.

Il est à noter que contrairement à ce j'ai mis dans le bug, peu importe qui est client ou serveur.

Hors ligne

#116 Le 16/04/2009, à 00:56

useless

Re : Programmeurs, on a besoin de vous.

Bonjour à tous !

Merci des efforts que vous employez pour développer Rolistik sous Ubuntu. Juste un p'tit mot, j'ai utilisé la version de Crao (cf page 3).

J'ai donc un dossier Rolistik, mais dans l'aide, il est précisé que pour pouvoir profiter de la musique d'ambiance, le morceau doit être placé dans le dossier audio contenu dans le dossier Rolistik. Mais je suppose que ce dossier audio n'apparaît que pour les installations Windows.

Ma question est donc, peut-on profiter de la musique d'ambiance sous Linux ou pas ? (sans passer par Wine et consort)

Hors ligne

#117 Le 16/04/2009, à 05:36

obiwankennedy

Re : Programmeurs, on a besoin de vous.

Techniquement c'est possible avec Rolistik si tu as un linux 32 bits. J'ai personnellement utilisé la version Rolistik 1.1 comme base du fork que j'ai fait et il me semble bien que l'utilisateur choisit le dossier de musique.

Dans tous les cas, dans ma version Rolisteam,  la musique marche très bien (de linux à linux , on a pas encore tester la communication linux <-> windows)

Dernière modification par obiwankennedy (Le 16/04/2009, à 15:45)


Dans mes logiciels, j'écris ton nom.
SGNGD: SvgGd is Not GD
Rolisteam

Hors ligne

#118 Le 16/04/2009, à 10:21

Crao

Re : Programmeurs, on a besoin de vous.

De Windows à Linux, chez moi ça ne fonctionne pas pour la musique.

Hors ligne

#119 Le 16/04/2009, à 15:44

obiwankennedy

Re : Programmeurs, on a besoin de vous.

C'est assez logique:car la version windows utilise une bibliotheque "fmod" et la version linux utilise Phonon. Je vais je pense, modifier le projet pour permettre de compiler avec phonon sous windows mais bon il faut que je teste sous windows avec fmod mais j'aime pas programmer sous windows. Je m'y sens comme un sourd et muet avec des moufles. Faut être indulgent.


Dans mes logiciels, j'écris ton nom.
SGNGD: SvgGd is Not GD
Rolisteam

Hors ligne

#120 Le 17/04/2009, à 14:23

chaoswizard

Re : Programmeurs, on a besoin de vous.

Yeah, super sympa ce logiciel !!!

Voilà mon compte rendu :

Je suis sous Archlinux avec :
- qt 4.5.0-4
- phonon 4.3.1-1

--> Récupération des sources via svn
--> Installation qt + phonon
-->

qmake
WARNING: Failure to find: src/Rolisteam_private.h

mais bon, pas grave
-->

$make
/usr/bin/uic src/LecteurAudio.ui -o src/ui_LecteurAudio.h
'layoutWidget' isn't a valid widget
'verticalSpacer' isn't a valid widget
'' isn't a valid widget
'layoutWidget' isn't a valid widget
+ Blabla compilation

--> Ouverture du logiciel : Ok (en joueur et MJ)
--> Importer un fichier son ogg et le jouer : Ok

(je n'ai pas testé plus, mais ça a l'air très prometteur !!!)

Dernière modification par chaoswizard (Le 17/04/2009, à 14:31)


Ubuntu ==> Debian ==> Archlinux

Hors ligne

#121 Le 28/04/2009, à 18:55

karnaman

Re : Programmeurs, on a besoin de vous.

Juste pour remercié pour le portage de rolistik et dire que ca marche pour moi smile

sur une debian unstable

-qt 4.4.3-2
-phonon 4.3.1-1

Quelque warning au make, mais je n'est pas noté, si besoin je peu relancé et noté.

--> dessin OK
--> connexion MJ et joueur, en serveur ou client OK
--> connexion via ip ou nom de domaine OK
--> son pas tester
--> le chat, les jets de dés OK
--> création PJ OK , bug du placement de ses propre PJ et bug de renommage PJ (lié je pense)

Hors ligne

#122 Le 28/04/2009, à 19:18

obiwankennedy

Re : Programmeurs, on a besoin de vous.

Presque tous (voir tous) les warnings viennent du code de Rolistik : des variables non utiliser ou des comparaisons entre unsigned et signed int. Rien de bien méchant. Je travaille dessus mais il y en a tellement que bon.


Dans mes logiciels, j'écris ton nom.
SGNGD: SvgGd is Not GD
Rolisteam

Hors ligne

#123 Le 20/05/2009, à 13:49

Dergen

Re : Programmeurs, on a besoin de vous.

Salut, je fait un petit passage pour montrer a obiwankennedy que j'ai bien reçu son mail et que j'y ai répondu big_smile

Et aussi pour dire que je veux bien aider a rendre le soft multi-plateforme...

Je me fait actuellement la main sur QtCreator 1.1 sous Windows et sous Ubuntu et bientôt sous Mac.

Donc si je peux aider alors pas d'hésitations...

Dergen.

#124 Le 02/06/2009, à 21:41

Elodie Hiras

Re : Programmeurs, on a besoin de vous.

Bonjour!

Désolé de déranger, mais si quelqu'un pouvait poster des binaires, ça m'arrangerait, étant donné que la première version plante à mort chez moi et que je galère avec les sources...

D'avance merci!

#125 Le 02/06/2009, à 21:45

obiwankennedy

Re : Programmeurs, on a besoin de vous.

Tu veux des binaires pour quelle version de quel OS ?

Dernière modification par obiwankennedy (Le 02/06/2009, à 21:45)


Dans mes logiciels, j'écris ton nom.
SGNGD: SvgGd is Not GD
Rolisteam

Hors ligne